Download it now!
Bug 129600 - Calc: Delete "Formula bar" item from View-Toolbars
Summary: Calc: Delete "Formula bar" item from View-Toolbars
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.5.0
Keywords: needsUXEval
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2019-12-24 14:18 UTC by Roman Kuznetsov
Modified: 2020-05-15 08:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-12-24 14:18:17 UTC
Description:
Calc: Delete "Formula bar" item from View-Toolbars because there is the same item in main menu View. And because Formula bar isn't really a toolbar anyway.

Steps to Reproduce:
1. Open Calc
2. Look at two the same "Formula bar" items in View menu and in View-Toolbars menu
3.

Actual Results:
there are two the same Formula bar items in main menu View

Expected Results:
there is only one Formula bar item in View main menu


Reproducible: Always


User Profile Reset: No



Additional Info:
Версия: 6.5.0.0.alpha0+ (x64)
ID сборки: 42a1a1c6b91907f81e15066ffab219411f18c4db
Потоков ЦП: 4; ОС:Windows 10.0 Build 18362; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded
Comment 1 V Stuart Foote 2019-12-24 17:38:38 UTC
Had to think about it--but the Formula Bar, aka Input Line or Input Window (sc/source/ui/app/inputwin.cxx) is _not_ a toolbar. 

And, like the Status Bar, or the Page Pane in Draw, or the Slide Pane in Impress the Calc Formula Bar will always have an entry on the Main View menu.

Similar was done for the inputwin.cxx for Writer with bug 124642 with some of the same issues of not correct on the Toolbars sub-menu.

Adds little being listed on the View -> Toolbars, and for consistency as well, should come off with Calc.  

+1
Comment 2 Heiko Tietze 2020-01-06 20:45:51 UTC
The status bar is also not a toolbar. Don't see the need to remove the menu item.
Comment 3 V Stuart Foote 2020-01-06 20:59:48 UTC
(In reply to Heiko Tietze from comment #2)
> The status bar is also not a toolbar. Don't see the need to remove the menu
> item.

But Heiko, the Status bar is not an element on the View -> Toolbars menu. Like Formula bar it correctly resides on the root of the View menu.

This is about dropping the Formula bar (aka Input Window) from the View -> Toolbars menu as it does not belong there. It, like the Status bar, is not a Toolbar... its entry on View -> Toolbars is superfluous.
Comment 4 Heiko Tietze 2020-01-07 09:09:07 UTC
True, we have it twice. So +1 to remove it from view > toolbar but keep next to statusbar.

It feels to me as if we have discussed the same topic once before but I cannot find anything but the same for Writer.
Comment 5 Commit Notification 2020-01-09 15:16:26 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ba4bbfadd79e0765db01bb70bfd97fa0a959ce24

tdf#129600 Delete "Formula bar" item from View-Toolbars

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Heiko Tietze 2020-05-14 13:28:49 UTC
(In reply to Commit Notification from comment #5)
> Roman Kuznetsov committed a patch related to this issue.

Resolve as fixed?